Skip to main content
`Ctrl`+`K`

# DMPlexGetGeometryFVM

Return precomputed geometric data

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetGeometryFVM(DM dm, Vec *facegeom, Vec *cellgeom, PeOp PetscReal *minRadius)

Collective

## Input Parameter

- dm - The `DM`

## Output Parameters

- facegeom - The values precomputed from face geometry

- cellgeom - The values precomputed from cell geometry

- minRadius - The minimum radius over the mesh of an inscribed sphere in a cell, or `NULL` if not needed

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMTSSetRHSFunctionLocal()`

## Level

developer

## Location

src/dm/impls/plex/plexfem.c

## Examples

src/ts/tutorials/ex18.c
src/ts/tutorials/ex11.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages